> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an enterprise-level note

## Permissions

Requires a service user with the `ManageAccountKnowledge` permission at the enterprise level.


## OpenAPI

````yaml /v3-openapi.yaml POST /v3/enterprise/knowledge/notes
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/knowledge/notes:
    post:
      summary: Create an enterprise-level note
      operationId: handle_create_note_v3_enterprise_knowledge_notes_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KnowledgeNoteCreateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeNoteResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    KnowledgeNoteCreateRequest:
      properties:
        body:
          title: Body
          type: string
        name:
          title: Name
          type: string
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger:
          title: Trigger
          type: string
      required:
        - name
        - body
        - trigger
      title: KnowledgeNoteCreateRequest
      type: object
    KnowledgeNoteResponse:
      properties:
        access_type:
          enum:
            - enterprise
            - org
          title: Access Type
          type: string
        body:
          title: Body
          type: string
        created_at:
          title: Created At
          type: integer
        folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Folder Id
        folder_path:
          title: Folder Path
          type: string
        is_enabled:
          title: Is Enabled
          type: boolean
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        note_id:
          title: Note Id
          type: string
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger:
          title: Trigger
          type: string
        updated_at:
          title: Updated At
          type: integer
      required:
        - note_id
        - folder_id
        - folder_path
        - name
        - body
        - trigger
        - is_enabled
        - created_at
        - updated_at
        - access_type
        - org_id
        - macro
        - pinned_repo
      title: KnowledgeNoteResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````